<?php

/*
////////////////////////////////////////////////////////////////////////////////
// JohnCMS                             Content Management System              //
// Официальный сайт сайт проекта:      http://johncms.com                     //
// Дополнительный сайт поддержки:      http://gazenwagen.com                  //
////////////////////////////////////////////////////////////////////////////////
// JohnCMS core team:                                                         //
// Евгений Рябинин aka john77          john77@gazenwagen.com                  //
// Олег Касьянов aka AlkatraZ          alkatraz@gazenwagen.com                //
//                                                                            //
// Информацию о версиях смотрите в прилагаемом файле version.txt              //
////////////////////////////////////////////////////////////////////////////////
*/

defined('_IN_JOHNCMS') or die('Error: restricted access');

// Проверяем наличие идентификатора комнаты
if (!$id) {
  header("Location: index.php");
 exit;
}
// Получаем данные комнаты
$k_d = mysql_fetch_assoc(mysql_query("SELECT `name`, `tip` FROM `chat_rooms` WHERE `id` = '".$id."'"));
if ($k_d['tip'] == 'an' || $k_d['tip'] == 'in') {
  header("Location: index.php");
 exit;
}
switch ($do) {

  case 'unset' :
    unset ($_SESSION['chat_id']);
    unset ($_SESSION['chat_k']);
    header("Location: index.php?id=$id");
  break;

  case 'set' :
    if (empty ($_POST['users'])) {
      echo '<div class="rmenu"><p>Вы не выбрали ни одного автора<br /><a href="index.php?act=filter&amp;id=' . $id . '">Назад</a></p></div>';
      require('../incfiles/end.php');
     exit;
    }
    $users = isset($_POST['users']) ? $_POST['users'] : '';
    $array = array();
    foreach ($users as $val) {
      $array [] = check($val);
    }
    $_SESSION['chat_id'] = serialize($array);
    $_SESSION['chat_k'] = $id;
    header("Location: index.php?id=$id");
  break;

  default :
    /*
    -----------------------------------------------------------------
    Отображаем сгруппированный список юзеров
    -----------------------------------------------------------------
    */ 
    $req = mysql_query("SELECT *, COUNT(`id_u`) AS `count` FROM `chat_room_".$id."` WHERE `tip` != '1' AND `id_bot` = '0' GROUP BY `id_u` ORDER BY `id_u`");
    if (mysql_num_rows($req)) {
      echo '<form action="index.php?act=filter&amp;do=set&amp;id='.$id.'" method="post">';
      echo '<div class="phdr"><a href="index.php"><b>Чат</b></a> | <a href="index.php?id='.$id.'">'.$k_d['name'].'</a> | Фильтр</div>';
      $i = 0;
      while ($res = mysql_fetch_array($req)) {
        $us_d = mysql_fetch_array(mysql_query("SELECT * FROM `users` WHERE `id` = '" . $res['id_u'] . "'"));
        echo is_integer($i / 2) ? '<div class="list1">' : '<div class="list2">';
        echo '<input type="checkbox" name="users[]" value="' . $res['id_u'] . '"/>&#160;';
        echo $user_id != $res['id_u'] ? '<a href="../str/anketa.php?id=' . $res['id_u'] . '">' . $us_d['name'] . '</a>' : $us_d['name'];
        echo $realtime > $us_d['lastdate'] + 300 ? '<span class="red"> [Off]</span> ' : '<span class="green"> [ON]</span> ';
        echo '<span class="gray">[' . $res['count'] . ']</span></div>';
       ++$i;
      }
      echo '<div class="gmenu"><input type="submit" value="Фильтровать" name="submit" /></div></form>';
      echo '<div class="phdr"><small>Фильтрация позволит отображать посты только от выбранных авторов</small></div>';
      echo '<p><a href="index.php?id=' . $id . '">Назад</a></p>';
    } else {
      echo '<div class="rmenu"><p>Ошибка<br /><a href="index.php?id=' . $id . '">Назад</a></p></div>';
    }
}

?>